﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TrollSaver
{
    public partial class App : Form
    {
        public App()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ShowBSOD();
        }

        private void ShowBSOD()
        {
            Screen[] screens = Screen.AllScreens;
            Rectangle firstScreen = screens[0].Bounds;

            BlackScreen blackScreen = new BlackScreen();
            blackScreen.Location = firstScreen.Location;
            blackScreen.FormBorderStyle = FormBorderStyle.None;
            blackScreen.WindowState = FormWindowState.Maximized;
            blackScreen.StartPosition = FormStartPosition.Manual;
            blackScreen.Show();


            Rectangle secondScreen = screens[1].Bounds;
            BSOD bsod = new BSOD();
            bsod.Location = secondScreen.Location;
            bsod.FormBorderStyle = FormBorderStyle.None;
            bsod.WindowState = FormWindowState.Maximized;
            bsod.StartPosition = FormStartPosition.Manual;
            bsod.Show();
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private Boolean activeTrap = false;

        private void panel1_MouseLeave(object sender, EventArgs e)
        {
            if(activeTrap) { 
                ShowBSOD();
            }
        }

        private void panel1_Click(object sender, EventArgs e)
        {
            if(activeTrap)
            {
                activeTrap = false;
                panel1.BackColor = Color.Maroon;
            }
            else
            {
                activeTrap = true;
                panel1.BackColor = Color.AliceBlue;
            }
        }

        private void App_Load(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            DateTime time = DateTime.Now;
            label1.Text = "" + time.ToLongTimeString();
        }

        private void App_KeyUp(object sender, KeyEventArgs e)
        {
            if(e.KeyCode == Keys.Escape)
            {
                Application.Exit();
            }
        }
    }
}
